// src/index.ts
function isString(x) {
  return typeof x === "string";
}
function shikiClassTransformer({
  map,
  key = "color"
}) {
  return {
    tokens(tokens) {
      for (const items of tokens) {
        for (const token of items) {
          const htmlStyle = token.htmlStyle;
          if (!htmlStyle || isString(htmlStyle)) {
            continue;
          }
          const foreground = htmlStyle[key]?.toLowerCase();
          if (!foreground) {
            return;
          }
          const className = map[foreground];
          if (className) {
            if (!token.htmlAttrs) {
              token.htmlAttrs = {};
            }
            let originClassName = token.htmlAttrs.class ?? "";
            originClassName += ` ${className}`;
            token.htmlStyle = {};
            token.htmlAttrs.class = originClassName.trim();
          }
        }
      }
    }
  };
}
export {
  shikiClassTransformer
};
